using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record PersonKeyFormattedAndKeyTicksAndDisplayDirectoryName(string KeyFormatted, long KeyTicks, string? DisplayDirectoryName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, PersonKeyFormattedAndKeyTicksAndDisplayDirectoryNameSourceGenerationContext.Default.PersonKeyFormattedAndKeyTicksAndDisplayDirectoryName);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull)]
[JsonSerializable(typeof(PersonKeyFormattedAndKeyTicksAndDisplayDirectoryName))]
public partial class PersonKeyFormattedAndKeyTicksAndDisplayDirectoryNameSourceGenerationContext : JsonSerializerContext
{
}