namespace View_by_Distance.Shared.Models.Stateless;

public interface IResult
{

    string TestStatic_GetRelativePath(ResultSettings resultSettings, string path) =>
        GetRelativePath(resultSettings, path);
    static string GetRelativePath(ResultSettings resultSettings, string path) =>
        XResult.GetRelativePath(resultSettings, path);

    string TestStatic_GetResultsGroupDirectory(ResultSettings resultSettings, string description, bool create) =>
        GetResultsGroupDirectory(resultSettings, description, create);
    static string GetResultsGroupDirectory(ResultSettings resultSettings, string description, bool create) =>
        XResult.GetResultsGroupDirectory(resultSettings, description, create);

    string TestStatic_GetResultsGroupDirectory(ResultSettings resultSettings, string description) =>
        GetResultsGroupDirectory(resultSettings, description);
    static string GetResultsGroupDirectory(ResultSettings resultSettings, string description) =>
        XResult.GetResultsGroupDirectory(resultSettings, description, create: true);

    string TestStatic_GetResultsDateGroupDirectory(ResultSettings resultSettings, string description) =>
        GetResultsDateGroupDirectory(resultSettings, description);
    static string GetResultsDateGroupDirectory(ResultSettings resultSettings, string description) =>
        XResult.GetResultsDateGroupDirectory(resultSettings, description);

    string TestStatic_GetResultsDateGroupDirectory(ResultSettings resultSettings, string description, string jsonGroup) =>
        GetResultsDateGroupDirectory(resultSettings, description, jsonGroup);
    static string GetResultsDateGroupDirectory(ResultSettings resultSettings, string description, string jsonGroup) =>
        XResult.GetResultsDateGroupDirectory(resultSettings, description, jsonGroup);

    List<string> TestStatic_GetDirectoryInfoCollection(ResultSettings resultSettings, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription, bool converted) =>
        GetDirectoryInfoCollection(resultSettings, sourceDirectory, dateGroupDirectory, contentDescription, singletonDescription, collectionDescription, converted);
    static List<string> GetDirectoryInfoCollection(ResultSettings resultSettings, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription, bool converted) =>
        XResult.GetDirectoryInfoCollection(resultSettings, sourceDirectory, dateGroupDirectory, contentDescription, singletonDescription, collectionDescription, converted);

    string TestStatic_GetResultsFullGroupDirectory(ResultSettings resultSettings, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel) =>
        GetResultsFullGroupDirectory(resultSettings, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel);
    static string GetResultsFullGroupDirectory(ResultSettings resultSettings, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel) =>
        XResult.GetResultsFullGroupDirectory(resultSettings, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel);

    List<string> TestStatic_GetDirectoryInfoCollection(ResultSettings resultSettings, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription) =>
        GetDirectoryInfoCollection(resultSettings, sourceDirectory, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel, contentDescription, singletonDescription, collectionDescription);
    static List<string> GetDirectoryInfoCollection(ResultSettings resultSettings, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription) =>
        XResult.GetDirectoryInfoCollection(resultSettings, sourceDirectory, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel, contentDescription, singletonDescription, collectionDescription);

}